POST api/Account/UploadIdentity

Request Information

URI Parameters

None.

Body Parameters

IdentityUpload
NameDescriptionTypeAdditional information
IdNumber

string

None.

FrontBase64

string

None.

BackBase64

string

None.

FileType

string

None.

Request Formats

application/json, text/json

Sample:
{
  "idNumber": "sample string 1",
  "frontBase64": "sample string 2",
  "backBase64": "sample string 3",
  "fileType": "sample string 4"
}

application/xml, text/xml

Sample:
<IdentityUpload xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
  <BackBase64>sample string 3</BackBase64>
  <FileType>sample string 4</FileType>
  <FrontBase64>sample string 2</FrontBase64>
  <IdNumber>sample string 1</IdNumber>
</IdentityUpload>

multipart/form-data

Sample:
<IdentityUpload xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><BackBase64>sample string 3</BackBase64><FileType>sample string 4</FileType><FrontBase64>sample string 2</FrontBase64><IdNumber>sample string 1</IdNumber></IdentityUpload>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.